RSpec.describe Redpen do
  describe '.check' do
    subject { described_class.check(config_file, target_file, format: format) }
    let(:config_file) { File.expand_path('../../lib/redpen-distribution-1.7.0/conf/redpen-conf-en.xml', __FILE__) }
    let(:format) { 'markdown' }

    context 'when target file is valid' do
      let(:target_file) { File.expand_path('../fixtures/valid.md', __FILE__) }
      it { should be_valid }
    end

    context 'when target file is invalid' do
      let(:target_file) { File.expand_path('../fixtures/invalid.md', __FILE__) }
      it { should_not be_valid }
    end
  end
end
